Bug Hunting Session
Bug 33551 - SVG import from gnuplot, colours wrong
Summary: SVG import from gnuplot, colours wrong
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-26 13:40 UTC by Carl Michal
Modified: 2011-01-28 03:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
svg file produce by gnuplot, imports invisibly. (7.77 KB, image/svg+xml)
2011-01-26 13:40 UTC, Carl Michal
Details
Reduced testcase (377 bytes, image/svg+xml)
2011-01-26 19:54 UTC, Kurosawa Takeshi
Details
Patch (1.09 KB, patch)
2011-01-26 20:50 UTC, Kurosawa Takeshi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Michal 2011-01-26 13:40:31 UTC
Created attachment 42560 [details]
svg file produce by gnuplot, imports invisibly.

I've attached an svg file produced by gnuplot that, when imported into libreoffice (either with "Open" into Draw, or "Insert" into Impress), is invisible.

Poking in the imported elements, everything seems to be there, but it appears to be drawn in white and so can't be seen.
Comment 1 Kurosawa Takeshi 2011-01-26 19:54:03 UTC
The SVG file uses 'currentColor' to specify fill and stroke color.
LibreOffice is not supported 'currentColor' yet.
So the shapes are invisible.
Comment 2 Kurosawa Takeshi 2011-01-26 19:54:52 UTC
Created attachment 42569 [details]
Reduced testcase
Comment 3 Kurosawa Takeshi 2011-01-26 20:50:56 UTC
Created attachment 42570 [details]
Patch

Parse color property and store its value as currentColor.
http://www.w3.org/TR/SVG/color.html#ColorProperty
Comment 4 Noel Power 2011-01-27 03:16:32 UTC
(In reply to comment #3)
> Created an attachment (id=42570) [details]
> Patch
> 
> Parse color property and store its value as currentColor.
> http://www.w3.org/TR/SVG/color.html#ColorProperty

way to go Takeshi great work, maybe would have been better to post patches on the dev list ( maybe you even did ( still lots of mail to read ) )

->thorsten for review
Comment 5 Michael Meeks 2011-01-28 03:52:33 UTC
reviewed and merged - thanks ! :-)